List attribute IDs
POST
/list-attributes
const url = 'https://respondent.rex.dynata.com/list-attributes';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ABCD1234', 'dynata-signature': 'c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf', 'Content-Type': 'application/json' }, body: '{"country":"US","page_number":1,"page_size":50}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://respondent.rex.dynata.com/list-attributes \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ABCD1234' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdf' \ --data '{ "country": "US", "page_number": 1, "page_size": 50 }'The /list-attributes endpoint will return a list of the top 500 attributes most used by clients.
Pagination
Pagination may be used if desired to get the full list of attributes by specifying the page number and size in your request body. Increment the
page_numberupon each request, using the samepage_sizeas the previous request(s), until the item count returned is smaller than thepage_sizeyou requested.
Learn more here.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ABCD1234dynata-signature
required
string
Signature created using the dynata methodology
Example
c156e91013eb715edb2b07df5491497a807206b1796bb7d031505107a9dbdcdfRequest Body
Section titled “Request Body”Media typeapplication/json
object
country
string
page_number
integer format: int32
page_size
integer format: int32
Responses
Section titled “Responses”Attributes obtained
Media typeapplication/json
Array
object
active
boolean
attribute_id
integer format: int64
Examples
ExampleAttribute List
[ { "active": true, "attribute_id": 123 }, { "active": true, "attribute_id": 456 }, { "active": true, "attribute_id": 789 }]Bad request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}